<template>
    <app-view class="g-form logoff">
        <template #header>
            <app-navbar title="注销服务" />
        </template>
        <section class="logoff__details">
            <h4>为保证您的账号安全，在提交注销申请时，需同时满足以下条件：</h4>
            <dl>
                <dt>1. 账号财产已结清</dt>
                <dd>没有资产、欠款、未结清的资金和现货。</dd>
                <dt>2. 账号处于安全状态</dt>
                <dd>账号处于正常使用状态，无被盗风险。</dd>
                <dt>3. 账号无任何纠纷</dt>
            </dl>
        </section>
        <template #footer>
            <div class="g-form__footer">
                <Button type="primary" @click="onSubmit" round block>确认注销</Button>
            </div>
        </template>
    </app-view>
</template>

<script lang="ts" setup>
import { Toast, Button } from 'vant'
import { fullloading, dialog } from '@/utils/vant'
import { useAccountCancellation } from '@/business/user'

const { formSubmit } = useAccountCancellation()

const onSubmit = () => {
    dialog('账户注销后不能再使用该系统，如果账户有余额需要人工审核才能注销，确定要注销账户吗？', {
        showCancelButton: true,
        messageAlign: 'left'
    }).then(() => {
        fullloading((hideLoading) => {
            formSubmit().then(() => {
                hideLoading()
                dialog('提交成功，请等待审核。')
            }).catch((err) => {
                Toast.fail(err)
            })
        })
    })
}
</script>

<style lang="less" scoped>
@import './index.less';
</style>